Bug 147396 - [RFE] teach ifconfig about infiniband
[RFE] teach ifconfig about infiniband
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-02-07 16:03 EST by Tom Duffy
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-09 04:20:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch that teaches ifconfig about infiniband (6.02 KB, patch)
2005-02-07 16:06 EST, Tom Duffy
no flags Details | Diff

  None (edit)
Description Tom Duffy 2005-02-07 16:03:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Please teach ifconfig about infiniband

Version-Release number of selected component (if applicable):
Comment 1 Tom Duffy 2005-02-07 16:06:00 EST
Created attachment 110754 [details]
patch that teaches ifconfig about infiniband
Comment 2 Radek Vokal 2005-02-08 09:11:40 EST
Looks interesting. I will check it closer, just there's one think. I
don't know what the current status of if_infiniband.h glibc kernel
module. Seems that it's still not included there. 
Comment 3 Radek Vokal 2005-02-08 09:12:48 EST
Comment 4 Tom Duffy 2005-02-08 10:05:58 EST
That is true, if_infiniband.h is in 2.6.11-rc right now.  If you want
me to open another bug to put that header in glibc-kernheaders and
make this dependent on that one, I can do that.

But, the only real thing you need to pick up from that is:

#define INFINIBAND_ALEN         20

which you could define in ib.c (in the ifconfig package) until such a
time as it is available in the headers.
Comment 5 Tom Duffy 2005-02-08 10:11:49 EST
Some how I fat fingered benl off of the qa contact on the bug.
Comment 6 Radek Vokal 2005-02-09 04:20:37 EST
Ok, I've changed the patch and included it in net-tools-1.60-45. I
hope this works cos I don't have access to appropriate hardware ;)
Would be great to have here a kind of confirmation that it works fine .. 

Opening feature request for if_infiniband.h in glibc-kernheaders is
IMHO good idea. 
Comment 7 Tom Duffy 2005-02-09 11:33:13 EST
I tested this version and it is working as intended.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.